# showwnd

![Parralels](https://www.parallels.com/static/pl/fileadmin/res/img/navigation/pl-logo-dk.png)

## AppserverClient Command Line Interface

### showwnd

brings up the UI window.

**Category: UI**

```
AppServerClientCLI showwnd -type type [-id ras:3] [-synch] [-window 12345]  
```

### Arguments

* **`type (mandatory)`** Specify which type of window to show. See notes for further information.
* **`id (optional)`** Specify what connection ID to use if the type requires it.
* **`synch (optional)`** Determine if the command returns once it is complete. See notes for further information.
* **`window (optional)`** Specify the window handle that will be used as the parent to any UI required.

### Return codes:

ok - Command was successful\
NotAvailable - Communication with the client backend failed, ensure that the client is running\
InvalidId - Invalid connection, object or session ID\
InvalidArgs - Some arguments are missing or invalid\
AccessDenied - Logged on user does not have permission to perform the action\
ElevationAccess - CLI process is running at a higher process privilege\
Exception - System problem

### Examples:

AppServerClientCLI showwnd -type about\
AppServerClientCLI showwnd -type connection-properties -id ras:61

### Notes:

The following types are available. Note that those that require the ID to be passed:\
about\
options\
sessions-information\
connection-properties -id ras:61\
change-password -id ras:61\
import-settings\
export-settings\
help\
-synch When used, the command will wait for the user to close the window.\
sessions-information and help are always asynch.

### See also:

[iscanaction](/landing/ras-windows-cli-guide/v20/commands/iscanaction.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-windows-cli-guide/v20/commands/showwnd.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
